// by ALE: based on the SEBSeal,BIBUN and BIBGreenBerets 

#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class ALE_SanMarcoOff
	{
		units[] = {ALE_SanMarcoOff};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_SanMarcoMG
	{
		units[] = {ALE_SanMarcoMG};
		weapons[] = {};
		requiredVersion = 1.10;
	};
      class ALE_SanMarcoSoldier
	{
		units[] = {ALE_SanMarcoSoldier};
		weapons[] = {};
		requiredVersion = 1.10;
	};
      
      class ALE_SanMarcoGL
	{
		units[] = {ALE_SanMarcoGL};
		weapons[] = {};
		requiredVersion = 1.10;
	};

      class ALE_SanMarcoLAW
	{
		units[] = {ALE_SanMarcoLAW};
		weapons[] = {};
		requiredVersion = 1.10;
	};

	class ALE_SanMarcoMedic
	{
		units[] = {ALE_SanMarcoMedic};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	
	
	
	class Groups
	{
		units[] = {};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	
};


class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWG:SoldierWB{};
	
	class ALE_SanMarcoOff : SoldierWB
	{
		displayName="ALE SanMarcoOff";
		model="\ALE_BtgSanMarco\ALE_BtgSanMarco1";
		scope=2;
		sensitivity=1.25;
		accuracy=2.500000;
		nightVision=1;
		camouflage=0.750000;
		weaponSlots="1 +  16 + 2 *    4096 + 10 *          256";
		weapons[]={"steyr","Binocular","NVGoggles","Throw","Put"};
	   magazines[]={"steyrmag","steyrmag","steyrmag","steyrmag","HandGrenade",
"HandGrenade","Smokeshell","Smokeshell"};
	};
	
	class ALE_SanMarcoMG : SoldierWB
	{
		displayName="ALE SanMarcoMG";
		model="\ALE_BtgSanMarco\ALE_BtgSanMarco2";
            picture="ismg";
            scope=2;
		sensitivity=1.25;
		accuracy=2.500000;
		nightVision=1;
		camouflage=0.750000;
		weaponSlots="1 +  16 + 2 *    4096 + 10 *          256";
		weapons[]={"M60","NVGoggles","Throw","Put"};
		magazines[]={"M60","M60","M60","M60","M60"};
	};
	
      class ALE_SanMarcoSoldier : SoldierWB
	{
		displayName="ALE SanMarcoSoldier";
		model="\ALE_BtgSanMarco\ALE_BtgSanMarco2";
		scope=2;
		sensitivity=1.25;
		accuracy=2.500000;
		nightVision=1;
		camouflage=0.750000;
		weaponSlots="1 +  16 + 2 *    4096 + 10 *          256";
		weapons[]={"steyr","NVGoggles","Throw","Put"};
		magazines[]={"steyrmag","steyrmag","steyrmag","steyrmag","steyrmag",
"HandGrenade","HandGrenade","HandGrenade"};
	};

      
      class ALE_SanMarcoGL : SoldierWB
	{
		displayName="ALE SanMarcoGL";
		model="\ALE_BtgSanMarco\ALE_BtgSanMarco2";
            picture="igrenadier";
		scope=2;
		sensitivity=1.25;
		accuracy=2.500000;
		nightVision=1;
		camouflage=0.750000;
		weaponSlots="1 +  16 + 2 *    4096 + 10 *          256";
		weapons[]={"M16GrenadeLauncher","NVGoggles","Throw","Put"};
     magazines[]={"M16","M16","M16","M16","GrenadeLauncher","GrenadeLauncher",
"GrenadeLauncher"};
	};

      class ALE_SanMarcoLAW : SoldierWB
	{
		displayName="ALE SanMarcoLAW";
		model="\ALE_BtgSanMarco\ALE_BtgSanMarco2";
            picture="islaw";
		scope=2;
		sensitivity=1.25;
		accuracy=2.500000;
		nightVision=1;
		camouflage=0.750000;
		weaponSlots="1 +  16 + 2 *    4096 + 10 *          256";
		weapons[]={"steyr","NVGoggles","LAWLauncher","Throw","Put"};
	magazines[]={"steyrmag","steyrmag","steyrmag","steyrmag","LAWLauncher",
"LAWLauncher","LAWLauncher"};
	};

	class ALE_SanMarcoMedic : SoldierWB
	{
		displayName="ALE SanMarcoMedic";
		model="\ALE_BtgSanMarco\ALE_BtgSanMarco3";
		accuracy=1000;
		picture="imedic";
		vehicleClass="Men";
		scope=2;
		cost=60000;
		attendant=1;
		sensitivity=1.25;
		nightVision=1;
		camouflage=0.750000;
		nameSound="medic";
		hiddenSelections[]={};
		weaponSlots="1 +  16 + 2 *    4096 + 10 *          256";
		weapons[]={"steyr","NVGoggles","Throw","Put"};
         magazines[]={"steyrmag","steyrmag","steyrmag","steyrmag","steyrmag",
"HandGrenade","HandGrenade","HandGrenade"};
	};
	

};
class CfgGroups
{
	class West
	{
	name="West";
		class Infantry
		{
		name="Infantry";
			class ALE_SanMarcoSquad
			{
			name="ALE SanMarcoSquad";
			class Unit0
			{
			name="1";
			side=1;
			vehicle="ALE_SanMarcoOff";
			rank="CAPTAIN";
			position[]={0,5,0};
			};
			
			class Unit1
			{
			name="2";
			side=1;
			vehicle="ALE_SanMarcoMG";
			rank="Sergeant";
			position[]={-10,0,0};
			};
			class Unit2
			{
			name="3";
			side=1;
			vehicle="ALE_SanMarcoMG";
			rank="Sergeant";
			position[]={10,0,0};
			};
			class Unit3
			{
			name="4";
			side=1;
			vehicle="ALE_SanMarcoGL";
			rank="Lieutnant";
			position[]={15,0,0};
			};
			class Unit4
			{
			name="5";
			side=1;
			vehicle="ALE_SanMarcoGL";
			rank="Sergeant";
			position[]={-15,0,0};
			};
			class Unit5
			{
			name="6";
			side=1;
			vehicle="ALE_SanMarcoMedic";
			rank="Sergeant";
			position[]={-20,0,0};
			};
			class Unit6
			{
			name="7";
			side=1;
			vehicle="ALE_SanMarcoMedic";
			rank="Sergeant";
			position[]={20,0,0};
			};
                  class Unit7
			{
			name="8";
			side=1;
			vehicle="ALE_SanMarcoLAW";
			rank="Sergeant";
			position[]={-25,0,0};
			};
                  class Unit8
			{
			name="9";
			side=1;
			vehicle="ALE_SanMarcoLAW";
			rank="Sergeant";
			position[]={25,0,0};
			};
                  class Unit9
			{
			name="10";
			side=1;
			vehicle="ALE_SanMarcoSoldier";
			rank="Private";
			position[]={30,0,0};
			};
                  class Unit10
			{
			name="11";
			side=1;
			vehicle="ALE_SanMarcoSoldier";
			rank="Private";
			position[]={-30,0,0};
			};
                  class Unit11
			{
			name="12";
			side=1;
			vehicle="ALE_SanMarcoSoldier";
			rank="Private";
			position[]={35,0,0};
			};

		};
	
			
	
	};
};



